import { entityKind } from "../entity.js";
export interface CockroachRoleConfig {
    createDb?: boolean;
    createRole?: boolean;
}
export declare class CockroachRole implements CockroachRoleConfig {
    readonly name: string;
    static readonly [entityKind]: string;
    constructor(name: string, config?: CockroachRoleConfig);
    existing(): this;
}
export declare function cockroachRole(name: string, config?: CockroachRoleConfig): CockroachRole;
